name: ReputacaoDigital
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "16.0"
  generateEmptyDirectories: true

settings:
  base:
    SWIFT_VERSION: "5.9"
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"

targets:
  ReputacaoDigital:
    type: application
    platform: macOS
    sources:
      - path: ReputacaoDigital
        excludes:
          - "**/.DS_Store"
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.ReputacaoDigital
        PRODUCT_NAME: ReputacaoDigital
        GENERATE_INFOPLIST_FILE: YES
        INFOPLIST_KEY_CFBundleDisplayName: ReputacaoDigital
        INFOPLIST_KEY_LSApplicationCategoryType: "public.app-category.business"
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        COMBINE_HIDPI_IMAGES: YES
        # Code Signing for local development
        CODE_SIGN_STYLE: Automatic
        CODE_SIGNING_ALLOWED: YES
        CODE_SIGNING_REQUIRED: NO
        CODE_SIGN_IDENTITY: "-"
        ENABLE_HARDENED_RUNTIME: NO
        CODE_SIGN_ENTITLEMENTS: ReputacaoDigital/ReputacaoDigital.entitlements
